Subject: [bug#36545] two issues

From: Robert Vollmert <[email-masked]>
Date: Tue, 9 Jul 2019 19:37:03 +0200

Hi John,

indeed hoogle would be nice to have. Thanks for packagin it!

Two remarks from looking over the patch set:

- ghc-mtl shouldn’t be packaged, as it’s a GHC-bundled library. New
versions of `guix import` were updated to take that into account
properly, but it should “just work” to remove patch 0001 and delete
the dependency lines for `ghc-mtl` where they occur.

- Is there a particular reason that tests are disabled? The general
approach seems to be to build packages with tests unless there’s a
specific reason not to, in which case it would be great if you could
add a comment explaining that next to the “#:tests? #f” line.

Cheers
Robert